libsidplayfp::romBank< N > Class Template Reference

`#include <SystemROMBanks.h>`

Inheritance diagram for libsidplayfp::romBank< N >:

## Public Member Functions

void | set (const uint8_t *source)
void | poke (uint_least16_t, uint8_t) override
uint8_t | peek (uint_least16_t address) override

## Protected Member Functions

void | setVal (uint_least16_t address, uint8_t val)
uint8_t | getVal (uint_least16_t address) const
void * | getPtr (uint_least16_t address) const

## Protected Attributes

uint8_t | rom [N]
| The ROM array.

## Detailed Description

### template<int N>
class libsidplayfp::romBank< N >

ROM bank base class. N must be a power of two.

## Member Function Documentation

## getPtr()

template<int N>

void* libsidplayfp::romBank< N >::getPtr | ( | uint_least16_t | address | ) | const

inline protected

Return pointer to memory address.

## getVal()

template<int N>

uint8_t libsidplayfp::romBank< N >::getVal | ( | uint_least16_t | address | ) | const

inline protected

Return value from memory address.

## peek()

template<int N>

uint8_t libsidplayfp::romBank< N >::peek | ( | uint_least16_t | address | ) |

inline override virtual

Read from ROM.

Implements libsidplayfp::Bank.

## poke()

template<int N>

void libsidplayfp::romBank< N >::poke | ( | uint_least16_t | ,
|  | uint8_t |
| ) |  |

inline override virtual

Writing to ROM is a no-op.

Implements libsidplayfp::Bank.

## set()

template<int N>

void libsidplayfp::romBank< N >::set | ( | const uint8_t * | source | ) |

inline

Copy content from source buffer.

## setVal()

template<int N>

void libsidplayfp::romBank< N >::setVal | ( | uint_least16_t | address,
|  | uint8_t | val
| ) |  |

inline protected

Set value at memory address.

The documentation for this class was generated from the following file:

- SystemROMBanks.h